package fr.itsonus.bousoleplussbackend.domain.quiz.spi;

import fr.itsonus.bousoleplussbackend.domain.quiz.model.Question;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface QuestionCacheRepository {
    List<Question> findQuestions(Long axeId, Long bundleId);

    List<Question> findDefaultQuestions();

    List<Question> findDefaultQuestions(Long axeId);

    Page<Question> findAllByAxeId(Long axeId, Pageable pageable);
}
